%define languageenglazy Amazigh
%define languagecode    ber
%define lc_ctype        ber_MA

%define upstream_version 20080210

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 14
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPL+ or LGPLv2+ or MPLv1.1
Group:          System/Internationalization
URL:            http://ayaspell.sourceforge.net/am.html
Source0:        http://ayaspell.sourceforge.net/data/hunspell-am_test.tar.gz

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-ber
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
#there is no Asturian myspell dictionary
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n spelling_tifinagh

%build

%install
install -D -m 0644 -p tifinagh.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p tifinagh.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.20080210.1-14.mga8
+ Revision: 1491285
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.20080210.1-13.mga7
+ Revision: 1263016
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.20080210.1-12.mga6
+ Revision: 947556
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20080210.1-11.mga5
+ Revision: 748108
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20080210.1-10.mga5
+ Revision: 680215
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.20080210.1-9.mga4
+ Revision: 505597
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20080210.1-8.mga3
+ Revision: 353390
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.20080210.1-7.mga3
+ Revision: 325156
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 0.20080210.1-6.mga2
+ Revision: 224563
- add requirement on locales (mga#4632)

* Mon Jan 16 2012 kamil <kamil> 0.20080210.1-5.mga2
+ Revision: 196796
- adapt .spec to current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20080210.1-4.mga1
+ Revision: 68663
- imported package hunspell-ber


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080210-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080210-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080210-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Oct 07 2008 Caolan McNamara <caolanm@redhat.com> - 0.20080210-1
- initial version
